import request from '@/utils/request'

// 登录
export function login(data) {
	return request({
		url: '/api/login',
		method: 'post',
		data
	});
}  
// 注册
export function register(data) {
	return request({
		url: '/api/register',
		method: 'post',
		data
	});
}
// 验证码
export function verify(data) {
	// type=register为注册
	// type=login为登录
	return request({
		url: '/api/register/verify',
		method: 'post',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}
//绑定手机号
export function bangding(data) {
	return request({
		url: '/api/binding',
		method: 'POST',
		data
	});
}
